package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 艺术分类对象 mall_art
 * 
 * @author ruoyi
 * @date 2023-11-02
 */
public class MallArt extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 艺术分类id */
    @Excel(name = "艺术分类id")
    private Long artId;

    /** 艺术名称 */
    @Excel(name = "艺术名称")
    private String artName;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sort;

    /** 删除标记(0-正常,1-删除) */
    @Excel(name = "删除标记(0-正常,1-删除)")
    private Integer delFlag;

    public void setArtId(Long artId) 
    {
        this.artId = artId;
    }

    public Long getArtId() 
    {
        return artId;
    }
    public void setArtName(String artName) 
    {
        this.artName = artName;
    }

    public String getArtName() 
    {
        return artName;
    }
    public void setSort(Integer sort) 
    {
        this.sort = sort;
    }

    public Integer getSort() 
    {
        return sort;
    }
    public void setDelFlag(Integer delFlag) 
    {
        this.delFlag = delFlag;
    }

    public Integer getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("artId", getArtId())
            .append("artName", getArtName())
            .append("sort", getSort())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
